Jump to content

Piligrimm

Forum Members
  • Content Count

    13
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Piligrimm

  • Rank
    Member

Equipment

  • Keenetic
    Keenetic Giga II
  1. Piligrimm

    test

    Сам себе отвечу asterisk13-app-read Правда перед ним установил модуль asterisk13-app-readexten, который сам по себе ни какого эффекта не дал, но может эти оба модуля должны быть установлены как сейчас у меня.
  2. Piligrimm

    test

    Да. Странно как-то. Перезагрузил кинетик и у меня всё заработало. А до перезагрузки не пинговался только этот сервер (эти сайты на одном сервере), всё остальное работало
  3. Piligrimm

    test

    Причём оба сервера.
  4. Piligrimm

    test

    Сервер не доступен. Пинги не идут. Это только у меня?
  5. Piligrimm

    test

    Кстати, http://entware-3x.zyxmon.org не откликается, и даже dns не резолвится. Кто нибудь в курсе, что с ним? А то пакеты пока ещё не успел скачать.
  6. Piligrimm

    test

    Нет смысла. Все маршруты построены (динамические и статические), все сети и сервера доступны. После переустановки всё заработало и так. В принципе и должно было работать, видать глюк был. Как я и сказал, всё заработало. Сейчас просто привожу всё в порядок (заодно и мысли) и документирую. Чуть позже поделюсь. Да, вот вопрос. Астериск не опознает команду Read в экстеншене. Видать надо какой-то модуль доустановить. Может подскажите какой? Всем очень признателен.
  7. Piligrimm

    test

    Как не странно, но этот совет действительно помог При установки Entware в журнале событий кинетика 2 красные строчки: Mar 30 13:05:39 ndmOpkg::Manager: invalid initrc "/opt/etc/initrc": no such file or directory, trying /opt/etc/init.d/. Mar 30 13:06:18 ndmService: "Coala Agent": unexpectedly stopped. Насколько это критично?
  8. Piligrimm

    test

    У меня в конфиге параметр externaddr не установлен (закомментирован). Сейчас переустанавливаю всё. Изменил прошивку, ставлю другую версию Entware и будет другая сборка астериска. Потом отпишусь.
  9. Piligrimm

    test

    Ну 1-е "тут" не подходит (конечно же я его читал). Там всё просто: поместить архив предустановленного астериска в папку инстал, включить opkg и вуаля, все само поставилось. А в моем случае ручками "opkg install asterisk13_13.18.3-1_keenle.ipk" и так по каждому. 2-е "тут" почитаю. А что насчет Entware, какой и откуда ставить?
  10. Piligrimm

    test

    sip.conf - копия с работающего астериска в этой же сети. Интересует минимальный набор устанавливаемых пакетов(именно устанавливаемых), чтоб было так - установил минимум запустил, если все работает то устанавливаем следующий и проверяем. И желательно порядок установки минимального набора (а то там зависимости всякие).
  11. Piligrimm

    test

    Огромное спасибо. Обновился онлайн через "components list draft" до 2.12.A.4.0-9. Подскажите еще, откуда качать астериск13 для данной прошивки (13.18.3 -> 13.19.0 для E-3x (mipsel) - это то?) И какой минимальный набор модулей астериска для контроля работоспособности, а то как писал уже выше он у меня падал через 5 секунд после запуска.
  12. Piligrimm

    test

    1. Каталог создам. 2. Внешний интерфейс доступен, в терминале пинги на сервер идут. Все конфиги (sip, extensions) перенесены с работающего в этой же сети Asterisk13.20. Портирую, так сказать, с фряхи на кинетик. 3. Вот тут подскажите, пожалуйста, как и в каком месте выключать автозагрузку? И какой набор минимальный (список модулей)? 1. От туда и брал, все руками ставил. В процессе установки пакетов и выскочили эти ошибки. 2. Да не вопрос, если точно подскажите что подходит для моего роутера (Keenetic Giga II v2.06(AAFS.0)C3),откуда и что брать (Астериск13 и ту же Entware, а то я прочитал что для моей прошивки не подходит) и в каком порядке ставить. Я новичок в этом, поэтому уж направьте, а я...
  13. Piligrimm

    test

    Всем привет! У меня 2 вопроса: 1, При установке 13.18.3 для E-K (keenle) не установились Следующие пакеты Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-chan-console: * portaudio * * opkg_install_cmd: Cannot install package asterisk13-chan-console. Installing libpjmedia (2.7.1-1) to root... Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for libpjmedia: * libsrtp2 * * opkg_install_cmd: Cannot install package libpjmedia. Installing libpjsip (2.7.1-1) to root... Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for libpjsip: * libsrtp2 * * opkg_install_cmd: Cannot install package libpjsip. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-pjsip: * asterisk13-res-pjproject * libpjsip * libpjmedia * libpjsip-simple * libpjsip-ua * libpjsua * libpjsua2 * * opkg_install_cmd: Cannot install package asterisk13-pjsip. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-calendar-caldav: * libical * * opkg_install_cmd: Cannot install package asterisk13-res-calendar-caldav. * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-calendar-exchange: * libical * * opkg_install_cmd: Cannot install package asterisk13-res-calendar-exchange. * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-calendar-icalendar: * libical * * opkg_install_cmd: Cannot install package asterisk13-res-calendar-icalendar. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-hep-pjsip: * asterisk13-res-pjproject * libpjsip * libpjmedia * libpjsip-simple * libpjsip-ua * libpjsua * libpjsua2 * * opkg_install_cmd: Cannot install package asterisk13-res-hep-pjsip. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-pjproject: * libpjmedia * libpjmedia * libpjsip-simple * libpjsip-ua * libpjsip * libpjsua * libpjsua2 * libsrtp2 * * opkg_install_cmd: Cannot install package asterisk13-res-pjproject. * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-pjsip-phoneprov: * libpjsip * libpjmedia * libpjsip-simple * libpjsip-ua * libpjsua * libpjsua2 * * opkg_install_cmd: Cannot install package asterisk13-res-pjsip-phoneprov. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-rtp-asterisk: * libpjsip * libpjmedia * libpjsip-simple * libpjsip-ua * libpjsua * libpjsua2 * * opkg_install_cmd: Cannot install package asterisk13-res-rtp-asterisk. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for asterisk13-res-srtp: * libsrtp2 * * opkg_install_cmd: Cannot install package asterisk13-res-srtp. Installing libiksemel (1.4-2) to root... Collected errors: * opkg_install_pkg: Package libiksemel md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'. * opkg_install_cmd: Cannot install package libiksemel. Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for libpjmedia: * libsrtp2 * * opkg_install_cmd: Cannot install package libpjmedia. * satisfy_dependencies_for: Cannot satisfy the following dependencies for libpjsip-simple: * libsrtp2 * * opkg_install_cmd: Cannot install package libpjsip-simple. * opkg_install_cmd: Cannot install package list_asterisk_ipk. * opkg_install_pkg: Package pulseaudio-daemon md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'. * opkg_install_cmd: Cannot install package pulseaudio-daemon. * opkg_install_pkg: Package pulseaudio-tools md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'. * opkg_install_cmd: Cannot install package pulseaudio-tools. Я так понял источником бед стало отсутствие зависимостей portaudi, libsrtp2 и libical. Где можно взять эти пакеты? 2. При запуске астериска он стартует секунд на 5 и отваливается. Вот его лог: [Mar 29 13:55:04] Asterisk 13.18.3 built by thebb @ entw-builder on a x86_64 running Linux on 2017-12-06 12:11:47 UTC [Mar 29 13:55:04] NOTICE[645] cdr.c: CDR simple logging enabled. [Mar 29 13:55:04] NOTICE[645] loader.c: 243 modules will be loaded. [Mar 29 13:55:07] NOTICE[645] res_odbc.c: res_odbc loaded. [Mar 29 13:55:07] WARNING[645] res_crypto.c: Unable to open key directory '/opt/share/asterisk/keys' [Mar 29 13:55:07] WARNING[645] res_phoneprov.c: Unable to find a valid server address or name. [Mar 29 13:55:07] NOTICE[645] pbx_lua.c: Lua PBX Switch loaded. Куда копать?
×